#include "Common.ch"
#include "DcDialog.ch"
#include "AppEvent.ch"

#define MENU_BACKGROUNDCOLOR              GraMakeRGBColor( { 150, 200, 255 } )
#define SYS_COLORMENUBARBACKGROUND        GraMakeRGBColor( { 10, 128, 255 } )
#define SYS_COLORMENUBARFOREGROUND        GraMakeRGBColor( {  0,   0,  0 } )

#pragma Library("Dclipx.lib")

Procedure Main()
LOCAL GetList              := {}
LOCAL GetOptions           := {}
LOCAL aSize                := {}
LOCAL nBitmap              := 1
LOCAL cTitle               := "Test-Fullsize"
LOCAL oDlg                 := nil
App_CreateMenu(GetList,@oDlg)

aSize := AppDeskTop():CurrentSize()
//
// Kassalade thread starten voordat main window wordt opgezet.
// Dit ivm projectie knop van kassa-open
//
DCGETOPTIONS ;
   NAME cTitle ;
   WINDOWHEIGHT aSize[2]-20;
   WINDOWWIDTH aSize[1] ;
   COLOR GraMakeRGBColor( {255,255,255}) ;
   BITMAP nBitmap ;
   NOBUSY ;
   NOESCAPEKEY ;
   TOOLTIPCOLOR GRA_CLR_BLACK, GRA_CLR_YELLOW ;
   EVAL {|o|SetAppWindow(o),GetApplication():SetMainForm(o)}

DC_BitMapTransparentColor(GraMakeRGBColor( { 255,255, 255}))

dcread gui ;
   TITLE cTitle;
      options getoptions;
      setappwindow ;
      Eval {|o|oDlg := o}

Return

Procedure AppSys()
Return

Procedure App_CreateMenu(GetList,oDlg)
LOCAL oFileMenu            := nil
LOCAL oMenuBar             := nil
DCSETPARENT TO

DC_XbpMenuConfig( ;
  { GraMakeRGBColor({200,100,0}),;   //  1 - Sub Menu Background Color
    GraMakeRGBColor({245,245,255}),; //  2 - Sub Menu Vertical Bar Foreground Color
    GraMakeRGBColor({200,200,255}),; //  3 - Sub Menu Vertical Bar Background Color
    GraMakeRGBColor({124,124,255}),; //  4 - Sub Menu Outline Color
    '11.Arial Bold', ;               //  5 - Sub Menu Vertical Bar Font
    .F., ;
    '10.Marlett', ;                  //  6 - Sub Menu Check Character Font
    'b', ;                           //  7 - Sub Menu Check Character
    GraMakeRGBColor({0,0,0}), ;      //  8 - Menu Bar Foreground Color
    MENU_BACKGROUNDCOLOR, ;          //  9 - Menu Bar Background Color
    GraMakeRGBColor({0,0,0}),;       // 10 - Sub Menu Foreground Color
    '8.Arial' } )                    // 11 - Menu Bar Font

   DCMENUBAR oMenuBar ;
      OWNERDRAW ;
      MENUBARFONT '10.Arial Bold' ;
      MENUBARCOLOR SYS_COLORMENUBARFOREGROUND, SYS_COLORMENUBARBACKGROUND ;
      SUBCOLOR {0,0,0}, {200,200,255} ;
      SUBBARFONT '11.Arial Bold' ;
      SUBBARCOLOR {255,100,100}, { 200,200,200 } ;
      ITEMFONT '10.Arial'

DCSUBMENU oFilemenu PROMPT "File" PARENT oMenuBar

DCMENUITEM "Open dialog" PARENT oFilemenu ACTION {||OpenAnyDialog(@oDlg)}
DCMENUITEM "Exit" PARENT oFilemenu ACTION {||PostAppEvent(xbeP_Close,nil,nil,@oDlg)}

App_MenuToolbar(GetList,@oDlg)
return

Procedure App_MenuToolbar(GetList,oDlg)
LOCAL oStat          := nil
LOCAL aButtons       := {}
LOCAL nPos           := 10
LOCAL nSpacing       := 10
LOCAL ni             := 0
Aadd(aButtons,{"Toggle-Dialog","Toggle-Dialog" ,nil,{||Toggle_FullScreen()}})

DCSTATUSBAR oStat WIDTH 200 ALIGN DCGUI_ALIGN_LEFT ;
      TYPE XBPSTATIC_TYPE_TEXT PARENT oDlg ;
      COLOR GRA_CLR_WHITE


For ni := 1  To Len(aButtons)
   @ nPos,10 DCPUSHBUTTON CAPTION aButtons[ni,2] SIZE 180,25 PIXEL PARENT oStat ;
            ACTION aButtons[ni,4] STATIC
   nPos += 25 + nSpacing
Next ni
Return


Procedure Toggle_FullScreen()
LOCAL oDlg           := GetApplication():MainForm
LOCAL oRect          := nil
If oDlg:TitleBar
   oDlg:TitleBar     := FALSE
   oDlg:Border       := XBPDLG_NO_BORDER
   oDlg:Configure()
   oRect             := GetDesktopRect()                 // Get screen dimensions
   oDlg:SetPosAndSize({0,0},{oRect:Right,oRect:Bottom})  // Set full screen
   MsgBox("Size = " + Var2Char(oRect:Right) + "x" + Var2Char(oRect:Bottom))
Else
   oDlg:Border       := XBPDLG_SIZEBORDER
   oDlg:TitleBar     := TRUE
   oDlg:Configure()
Endif
Return


Procedure OpenAnyDialog(oDlg)
LOCAL GetList        := {}
@ 1,1 DCPUSHBUTTON CAPTION "Close Dialog" SIZE 30,3   ACTION {||Dc_ReadGuiEvent(DCGUI_EXIT_OK,GetList)}

dcread gui ;
   TITLE "A dialog" ;
   APPWINDOW oDlg
Return













